Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.posix.solaris.natives
Class IoctlImpl

    java.lang.Object
      com.sun.squawk.platform.posix.natives.IoctlImpl
          com.sun.squawk.platform.posix.solaris.natives.IoctlImpl

All Implemented Interfaces:
  Library, Ioctl

    public class IoctlImpl

extends IoctlImpl

Field Summary
`static int` | `IOC_DIRMASK`
`static int` | `IOC_IN`
`static int` | `IOC_INOUT`
`static int` | `IOC_OUT`
`static int` | `IOC_VOID`
`static int` | `IOCPARM_MASK` WARNING: This is different on different systems SOLARIS: 0xFF MAC OS X: 0x1FFF LINUX, not used???

Fields inherited from interface com.sun.squawk.platform.posix.natives.Ioctl
`FIOASYNC, FIOCLEX, FIOGETOWN, FIONBIO, FIONCLEX, FIONREAD, FIOSETOWN, INSTANCE`

Constructor Summary
`IoctlImpl()`

Method Summary
`int` | `initConstInt(int index)`

Methods inherited from class com.sun.squawk.platform.posix.natives.IoctlImpl
`ioctl, ioctl, ioctl, ioctl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IOCPARM_MASK

    public static final int IOCPARM_MASK

  WARNING: This is different on different systems SOLARIS: 0xFF MAC OS X: 0x1FFF LINUX, not used???

  See Also:
    Constant Field Values

### IOC_VOID

    public static final int IOC_VOID

See Also:
  Constant Field Values

### IOC_OUT

    public static final int IOC_OUT

See Also:
  Constant Field Values

### IOC_IN

    public static final int IOC_IN

See Also:
  Constant Field Values

### IOC_INOUT

    public static final int IOC_INOUT

See Also:
  Constant Field Values

### IOC_DIRMASK

    public static final int IOC_DIRMASK

See Also:
  Constant Field Values

Constructor Detail

### IoctlImpl

    public IoctlImpl()

Method Detail

### initConstInt

    public int initConstInt(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"